Back to index

salome-geom  6.5.0
Namespaces | Variables
PAL_MESH_028_geometry.py File Reference

Go to the source code of this file.

Namespaces

namespace  PAL_MESH_028_geometry

Variables

list PAL_MESH_028_geometry.Vertices = [geompy.MakeVertex(0, 0, 0), geompy.MakeVertex(200, 0, 0), geompy.MakeVertex(200, 200, 0), geompy.MakeVertex(0, 200, 0), geompy.MakeVertex(50, 50, 200), geompy.MakeVertex(150, 50, 200), geompy.MakeVertex(150, 150, 200), geompy.MakeVertex(50, 150, 200)]
string PAL_MESH_028_geometry.name = "Vertex_"
list PAL_MESH_028_geometry.Edges = [geompy.MakeEdge(Vertices[0], Vertices[1]), geompy.MakeEdge(Vertices[1], Vertices[5]), geompy.MakeEdge(Vertices[5], Vertices[4]), geompy.MakeEdge(Vertices[4], Vertices[0]), geompy.MakeEdge(Vertices[1], Vertices[2]), geompy.MakeEdge(Vertices[2], Vertices[6]), geompy.MakeEdge(Vertices[6], Vertices[5]), geompy.MakeEdge(Vertices[2], Vertices[3]), geompy.MakeEdge(Vertices[3], Vertices[7]), geompy.MakeEdge(Vertices[7], Vertices[6]), geompy.MakeEdge(Vertices[3], Vertices[0]), geompy.MakeEdge(Vertices[4], Vertices[7])]
list PAL_MESH_028_geometry.Wires = [geompy.MakeWire([Edges[0], Edges[1], Edges[2], Edges[3]]), geompy.MakeWire([Edges[1], Edges[4], Edges[5], Edges[6]]), geompy.MakeWire([Edges[5], Edges[7], Edges[8], Edges[9]]), geompy.MakeWire([Edges[3], Edges[10], Edges[8], Edges[11]]), geompy.MakeWire([Edges[2], Edges[6], Edges[9], Edges[11]]), geompy.MakeWire([Edges[0], Edges[4], Edges[7], Edges[10]])]
list PAL_MESH_028_geometry.Faces = [geompy.MakeFace(Wires[0], 1), geompy.MakeFace(Wires[1], 1), geompy.MakeFace(Wires[2], 1), geompy.MakeFace(Wires[3], 1), geompy.MakeFace(Wires[4], 1), geompy.MakeFace(Wires[5], 1)]
tuple PAL_MESH_028_geometry.Shell_1 = geompy.MakeShell(Faces)
list PAL_MESH_028_geometry.Shells = [Shell_1]
tuple PAL_MESH_028_geometry.Solid_1 = geompy.MakeSolid(Shells)
tuple PAL_MESH_028_geometry.Prism_1 = geompy.MakePrismVecH(Faces[4], Edges[1], 100)
tuple PAL_MESH_028_geometry.theHomePath = os.getenv("HOME")
string PAL_MESH_028_geometry.theFilenameToSave = "/Pyramid.hdf"